diff --git a/src/acpi-dsdt.dsl b/src/acpi-dsdt.dsl
index 5fd3bb2..694c7aa 100644
--- a/src/acpi-dsdt.dsl
+++ b/src/acpi-dsdt.dsl
@@ -188,6 +188,7 @@ DefinitionBlock (
             })
             Method (_CRS, 0)
             {
+                DBUG("pci0 _crs: enter")
                 External (\_SB.BDAT)
                 Field(\_SB.BDAT, QWordAcc, NoLock, Preserve) {
                     QW0, 64,
@@ -221,8 +222,10 @@ DefinitionBlock (
 		Store (DWL2, PL32)
 
 		If (LAnd(LEqual(DWL3, 0x00),LEqual(DWH3, 0x00))) {
+		    DBUG("pci0 _crs: 32bit")
 		    Return (CRES)
 		} Else {
+		    DBUG("pci0 _crs: 64bit")
 		    /* fixup 64bit pci io window */
 		    CreateQWordField (CR64,\_SB.PCI0.PW64._MIN, PS64)
 		    CreateQWordField (CR64,\_SB.PCI0.PW64._MAX, PE64)
@@ -232,6 +235,7 @@ DefinitionBlock (
 		    Store (QW5, PL64)
 		    /* add window and return result */
 		    ConcatenateResTemplate (CRES, CR64, Local0)
+		    DBUG("pci0 _crs: done")
 		    Return (Local0)
 		}
             }
